# Method: projects.keys.patch

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys/patch#body.aspect_1)

Updates the specified key.

### HTTP request

`PATCH https://recaptchaenterprise.googleapis.com/v1/{key.name=projects/*/keys/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `key.name` | `string` Identifier. The resource name for the Key in the format `projects/{project}/keys/{key}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The mask to control which fields of the key get updated. If the mask is not present, all fields are updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys#Key`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.keys#Key`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `recaptchaenterprise.keys.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).